OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_FillAreaStyle Class Reference

`#include <StepVisual_FillAreaStyle.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_FillAreaStyle ()
| Returns a FillAreaStyle .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfFillStyleSelect)&aFillStyles)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetFillStyles (const Handle(StepVisual_HArray1OfFillStyleSelect)&aFillStyles)
Standard_EXPORT Handle_StepVisual_HArray1OfFillStyleSelect | FillStyles () const
Standard_EXPORT StepVisual_FillStyleSelect | FillStylesValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbFillStyles () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
Handle_StepVisual_HArray1OfFillStyleSelect | fillStyles

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_FillAreaStyle::StepVisual_FillAreaStyle | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_HArray1OfFillStyleSelect StepVisual_FillAreaStyle::FillStyles | ( |  | ) | const

Standard_EXPORT StepVisual_FillStyleSelect StepVisual_FillAreaStyle::FillStylesValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepVisual_FillAreaStyle::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_FillAreaStyle::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfFillStyleSelect)& | aFillStyles
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_FillAreaStyle::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_FillAreaStyle::NbFillStyles | ( |  | ) | const

Standard_EXPORT void StepVisual_FillAreaStyle::SetFillStyles | ( | const Handle(StepVisual_HArray1OfFillStyleSelect)& | aFillStyles | ) |

Standard_EXPORT void StepVisual_FillAreaStyle::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepVisual_HArray1OfFillStyleSelect StepVisual_FillAreaStyle::fillStyles`[private]`

Handle_TCollection_HAsciiString StepVisual_FillAreaStyle::name`[private]`

The documentation for this class was generated from the following file:

- StepVisual_FillAreaStyle.hxx